Subject: bug#34094: 27.0.50; (wrong-type-argument stringp (require . elec-pair)) with describe-function (and other commands)

From: Robert Pluim <[email-masked]>
Date: Wed, 16 Jan 2019 12:14:09 +0100

Tassilo Horn <[email-masked]> writes:

> Tassilo Horn <[email-masked]> writes:
>
>> With the current master:
>>
>> emacs -Q
>>
>> M-x toggle-debug-on-error
>> C-h f package-reinstall
>>
>> You get this backtrace:
>>
>> Debugger entered--Lisp error: (wrong-type-argument stringp (require . elec-pair))
>
> I found the problem: the new portable dumper needs emacs.pdmp in
> `data-directory'.  Unfortunately, when you run without "make install",
> data-directory is set to emacs/etc/ whereas the emacs.pdmp resides in
> emacs/src/.
>

Thatʼs surprising: I haven't done 'make install', but I can't
reproduce your error.

Robert